SIGSETMASK(2)

NAME
sigsetmask - set current signal mask

SYNOPSIS

#include <signal.h>

int sigsetmask(mask)
int mask;

DESCRIPTION

sigsetmask() sets the set of signals currently being blocked from delivery according to mask. A signal is blocked if the appropriate bit in mask is set. The macro sigblock(2) is provided to construct the mask for a given signum.

The system silently disallows blocking SIGKILL and SIGSTOP.

RETURN VALUES

sigsetmask() returns the previous signal mask.

SEE ALSO
kill(2V), sigblock(2), sigpause(2V), sigvec(2), signal(3V)